import request from '@/utils/request'

// 查询服务分类列表
export function listServiceCate(query) {
  return request({
    url: '/system/ServiceCate/list',
    method: 'get',
    params: query
  })
}

// 查询服务分类详细
export function getServiceCate(id) {
  return request({
    url: '/system/ServiceCate/' + id,
    method: 'get'
  })
}
// 任务状态修改
export function changefenleiStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/ServiceCate/changeStatus',
    method: 'put',
    data: data
  })
}
// 新增服务分类
export function addServiceCate(data) {
  return request({
    url: '/system/ServiceCate',
    method: 'post',
    data: data
  })
}

// 修改服务分类
export function updateServiceCate(data) {
  return request({
    url: '/system/ServiceCate',
    method: 'put',
    data: data
  })
}

// 删除服务分类
export function delServiceCate(id) {
  return request({
    url: '/system/ServiceCate/' + id,
    method: 'delete'
  })
}
